## Get Export

### cURL

```bash
curl --request GET \
  --url https://api.withflex.com/v1/exports/{id} \
  --header 'Authorization: Bearer <token>'
```

```python
import requests

url = "https://api.withflex.com/v1/exports/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

```javascript
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.withflex.com/v1/exports/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.withflex.com/v1/exports/{id}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://api.withflex.com/v1/exports/{id}"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

```java
HttpResponse<String> response = Unirest.get("https://api.withflex.com/v1/exports/{id}")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.withflex.com/v1/exports/{id}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

### Possible Responses

- **200** - Success
- **401** - Unauthorized
- **403** - Forbidden
- **404** - Not Found
- **409** - Conflict
- **422** - Unprocessable Entity
- **429** - Too Many Requests

### Response Structure

```json
{
  "export": {
    "export_id": "fxprt_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
    "description": "Premium SPF 50 mineral sunscreen",
    "type": "product",
    "status": "created",
    "created_at": "2026-06-15T14:30:00Z",
    "started_at": "2026-06-15T14:30:00Z",
    "completed_at": "2026-06-15T14:30:00Z",
    "metadata": {
      "order_id": "8842",
      "channel": "shopify"
    },
    "test_mode": false
  }
}
```

### Error Structure

```json
{
  "code": "string",
  "detail": "string"
}
```

### Validation Error Structure

```json
{
  "detail": [
    {
      "loc": ["string"],
      "msg": "string",
      "type": "string"
    }
  ]
}
```

### Authorization

**Authorization**: string (header, required)  
Use a Bearer token to access this API.

### Path Parameters

- **id**: string (required)  
  Example: `"fxprt_01J9XR8M3K7VZ8N2YB4WJ6T0RA"`

### Additional Information:
- **Create Export**: [Link](https://docs.withflex.com/api-reference/exports/create-export)  
- **Cancel Export**: [Link](https://docs.withflex.com/api-reference/exports/cancel-export)
